#include <stdexcept>
#include "platform_api.h"
#include "sockaddr_private.h"
#include "unix.h"

using namespace std;

namespace Msp {
namespace Net {

UnixAddr::UnixAddr(const SysAddr &):
	abstract(false)
{
	throw logic_error("AF_UNIX not supported");
}

UnixAddr::UnixAddr(const string &p, bool a):
	path(p),
	abstract(a)
{
}

SockAddr::SysAddr UnixAddr::to_sys() const
{
	throw logic_error("AF_UNIX not supported");
}

} // namespace Net
} // namespace Msp
