#ifndef MSP_HTTP_FORMDATA_H_
#define MSP_HTTP_FORMDATA_H_

#include <map>
#include <string>

namespace Msp {
namespace Http {

class Request;

class FormData
{
private:
	std::map<std::string, std::string> fields;

public:
	FormData(const Request &);
private:
	void parse_multipart(const Request &, const std::string &);

public:
	const std::string &get_value(const std::string &) const;
};

} // namespace Http
} // namespace Msp

#endif
